Results 1 to 4 of 4

Thread: Драйвер для старой видеокарты VS Новый openSUSE

  1. #1
    Join Date
    Jun 2013
    Location
    Krasnodar, Russia
    Posts
    8

    Default Драйвер для старой видеокарты VS Новый openSUSE

    Всем привет.

    Надеюсь получить помощь от продвинутых пользователей Linux.

    Есть такая проблема. Один из компьютеров со старой начинкой. В нём видеокарта ATI FireGL V3100. Когда была поддержка "родными" драйверами ATI, всё было замечательно. Последний официальный релиз версии 8.583 для Linux. Есть ещё 8.593 с поддержкой моей модели видеокарты, но я его раскопал самостоятельно (сервис поиска драйверов AMD эту версию не выдаёт). Устанавливаются эти драйверы на openSUSE до версий 11.1 - 11.2 (и то с заморочками). На более свежих номерах openSUSE установщик отказывается от инсталляции.

    С другой стороны, я пользуюсь Blender'ом (для 3D моделинга и визуализации) и программа достаточно часто обновляется. Причём обновляются и платформы, на которых она собирается (python и glibc). Текущая актуальная версия glibc - 2.11. Версия включена в openSUSE начиная с 11.3. Но на эту платформу ATI драйвер не хочет устанавливаться.

    Есть официальный релиз ATI-драйвера 8.85.7.1, который пригоден для установки на openSUSE 11.3 и 11.4. Но в релизе моя карта не значится среди поддерживаемых.

    Я пока вижу два варианта решения. Первый. Установить openSUSE 11.4, после установить рекомендуемый для неё драйвер 8.85.7.1 и попробовать, будет ли с ним работать моя "старушка". Если нет, то каким-то чудесным образом заставить инсталлироваться и работать стабильную версию 8.583 или 8.593.

    Второй вариант. Использовать предыдущую версии openSUSE, на которой официальный драйвер 8.583 хорошо себя чувствует, но обновить glibc до номера 2.11 (не знаю, возможно ли это?).

    Собственно, в этом суть проблемы.

  2. #2

    Default Re: Драйвер для старой видеокарты VS Новый openSUSE

    А открытый драйвер не позволяет работать в Blender?
    «Если не говорить пользователям, что линукс это сложно и страшно, то им совершенно все равно, в чем не разбираться. » — ЛОР

  3. #3
    Join Date
    Jun 2013
    Location
    Krasnodar, Russia
    Posts
    8

    Default Re: Драйвер для старой видеокарты VS Новый openSUSE

    Quote Originally Posted by EGDFree View Post
    А открытый драйвер не позволяет работать в Blender?
    Я настраивал драйвер radeon, но он по возможностям не дотягивает до "проприетарного": blender забирает под свои нужды все доступные ресурсы. Возможно, нужно подробнее почитать про открытый драйвер, чтобы использовать максимум.

    Нашёл в сети информацию, что ATI не поддерживает старые видеокарты своими драйверами, начиная с openSUSE 11.2. Видимо, нужно пытаться приспособить открытые драйверы.

  4. #4

    Default Re: Драйвер для старой видеокарты VS Новый openSUSE

    Quote Originally Posted by Artystarty View Post
    Нашёл в сети информацию, что ATI не поддерживает старые видеокарты своими драйверами, начиная с openSUSE 11.2. Видимо, нужно пытаться приспособить открытые драйверы.
    Так и есть.
    «Если не говорить пользователям, что линукс это сложно и страшно, то им совершенно все равно, в чем не разбираться. » — ЛОР

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •